%define ver_major 2.26

Name: vinagre
Version: %ver_major.2
Release: alt1

Summary: VNC client for the GNOME Desktop
License: GPLv2
Group: Networking/Remote access
URL: http://www.gnome.org/projects/vinagre
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Requires(post,preun): GConf2

BuildPreReq: GConf2 rpm-build-gnome gnome-common
BuildPreReq: intltool >= 0.35 glib2-devel >= 2.17.0
BuildPreReq: libgtkvnc-devel >= 0.3.8
BuildRequires: libGConf-devel libglade-devel libgnome-keyring-devel libgnome-panel-devel
BuildRequires: libavahi-gobject-devel libavahi-ui-devel
BuildRequires: docbook-dtds gnome-doc-utils

%description
This is vinagre, a VNC client for the GNOME Desktop.

%package -n gnome-applets-extra-vinagre
Summary: Vinagre applet for GNOME panel
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description -n gnome-applets-extra-vinagre
This package contains panel applet for Vinagre - VNC client for the
GNOME Desktop

%define _libexecdir %gnome_appletsdir

%prep
%setup -q

rm -f m4/libtool.m4 m4/lt*.m4

%build
%autoreconf
%configure \
	--disable-scrollkeeper \
	--disable-schemas-install

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

rm -rf %buildroot%_datadir/doc

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/%name
%_datadir/%name
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/*/*
%_datadir/mime/packages/vinagre-mime.xml
%config %_sysconfdir/gconf/schemas/vinagre.schemas
%_man1dir/vinagre.*
%doc AUTHORS ChangeLog MAINTAINERS NEWS README

%files -n gnome-applets-extra-vinagre
%_libdir/bonobo/servers/GNOME_VinagreApplet.server
%gnome_appletsdir/vinagre-applet

%changelog
* Tue May 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Mon Apr 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Thu Mar 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- upated buildreqs

* Mon Dec 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- updated buildreqs

* Fri Dec 05 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1
- new subpackage -- gnome-applets-extra-vinagre
- updated buildreqs

* Sat Nov 15 2008 Igor Zubkov <icesik@altlinux.org> 0.5.1-alt2
- apply patch from repocop
- buildreq

* Tue Apr 15 2008 Igor Zubkov <icesik@altlinux.org> 0.5.1-alt1
- build for Sisyphus

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initial build
